﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

using System.IO;
using TwinCAT.Measurement.Scope.API.Model;
using TwinCAT.Scope2.Communications;

namespace WindowsFormsApp1
{
    public partial class Form1 : Form
    {

        private string filename = @"Scope Project1.tcscopex";

        private ScopeOperateClass scopeOperateClass = new ScopeOperateClass();


        public Form1()
        {
            InitializeComponent();
            scopeProjectPanel1.ScopeProject = new ScopeProject();
            comboBox1.SelectedIndex = 0;
            comboBox2.SelectedIndex = 0;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            scopeOperateClass.scopeProjectPanel = scopeProjectPanel1;
            scopeOperateClass.ScopeFilePath = filename;
        }
        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            if(scopeOperateClass!=null )
            {
                scopeOperateClass.Dispose();
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            scopeOperateClass.LoadScopeFile();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            scopeOperateClass.StartRecord();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            scopeOperateClass.StopRecord();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            scopeOperateClass.StartDisplay();
        }

        private void button5_Click(object sender, EventArgs e)
        {
            scopeOperateClass.StopDisplay();
        }

        private void button6_Click(object sender, EventArgs e)
        {
            string SaveScopeFileName = Application.StartupPath + "//Test.csv";
            scopeOperateClass.ExportCsv(SaveScopeFileName);
        }

        private void button7_Click(object sender, EventArgs e)
        {
            bool bVisible = false;
            if (comboBox2.SelectedIndex == 0)
            {
                bVisible = true;
            }

            scopeOperateClass.SetAxisVisibility(comboBox1.Text, bVisible);
        }
    }
}
